View Issue Details

IDProjectCategoryView StatusLast Update
0003340SymmetricDSBugpublic2018-03-12 08:28
Reporterwoehrl01Assigned Tommichalek 
Prioritynormal 
Status closedResolutionfixed 
Product Version3.9.2 
Target Version3.9.2Fixed in Version3.9.2 
Summary0003340: FileSyncExtractorService sets IG on non file batches
DescriptionIf you have FileSyncExtractorService and do an initial load, it ignores nonrelated batches.

this happens if initial.load.extract.and.send.when.staged=true

The logoutput looks like that:

[central-0] - DataExtractorService - Done extracting 1 batches for request 19829
[central-0] - FileSyncExtractorService - Batch 2-104483 was empty after extract in background and will be ignored.
[central-0] - DataExtractorService - Extracting batches for request 19830. Starting at batch 104371. Ending at batch 104371
[central-0] - FileSyncExtractorService - Done extracting 1 batches for request 19942
[central-0] - FileSyncExtractorService - Extracting batches for request 19943. Starting at batch 104484. Ending at batch 104484
[central-0] - FileSyncExtractorService - Batch 2-104484 was empty after extract in background and will be ignored.
[central-0] - FileSyncExtractorService - Done extracting 1 batches for request 19943
[central-0] - FileSyncExtractorService - Extracting batches for request 19944. Starting at batch 104485. Ending at batch 104485
[central-0] - FileSyncExtractorService - Batch 2-104485 was empty after extract in background and will be ignored.
[central-0] - FileSyncExtractorService - Done extracting 1 batches for request 19944
[central-0] - FileSyncExtractorService - Extracting batches for request 19945. Starting at batch 104486. Ending at batch 104486
[central-0] - FileSyncExtractorService - Batch 2-104486 was empty after extract in background and will be ignored.
[central-0] - FileSyncExtractorService - Done extracting 1 batches for request 19945
[central-0] - FileSyncExtractorService - Extracting batches for request 19946. Starting at batch 104487. Ending at batch 104487
[central-0] - FileSyncExtractorService - Batch 2-104487 was empty after extract in background and will be ignored.
[central-0] - FileSyncExtractorService - Done extracting 1 batches for request 19946
[central-0] - FileSyncExtractorService - Extracting batches for request 19947. Starting at batch 104488. Ending at batch 104488

Activities

woehrl01

2017-12-21 09:31

reporter   ~0001090

I added a PR: https://github.com/JumpMind/symmetric-ds/pull/61

mmichalek

2017-12-27 14:54

administrator   ~0001091

Thank you woehrl01 for your PR. Looks like this issue got introduced by: https://www.symmetricds.org/issues/view.php?id=3162

Related Changesets

SymmetricDS: 3.8 7f940ab9

2017-12-21 09:30:36

woehrl01


Committer: GitHub Details Diff
0003340: FileSyncExtractorService sets IG on non file batches
0003340
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/DataExtractorService.java Diff File

SymmetricDS: 3.9 55d943f4

2017-12-21 09:30:36

woehrl01


Committer: mmichalek Details Diff
0003340: FileSyncExtractorService sets IG on non file batches
0003340
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/DataExtractorService.java Diff File

SymmetricDS: 3.8 3d9e846a

2017-12-27 14:30:35

mmichalek

Details Diff
0003340: FileSyncExtractorService sets IG on non file batches
0003340
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/model/ExtractRequest.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/DataExtractorService.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/FileSyncExtractorService.java Diff File

SymmetricDS: 3.9 b5fedf42

2017-12-27 14:30:35

mmichalek

Details Diff
0003340: FileSyncExtractorService sets IG on non file batches
# Conflicts:
# symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/FileSyncExtractorService.java

0003340
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/model/ExtractRequest.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/DataExtractorService.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/FileSyncExtractorService.java Diff File

Issue History

Date Modified Username Field Change
2017-12-20 10:02 woehrl01 New Issue
2017-12-21 09:31 woehrl01 Note Added: 0001090
2017-12-27 14:00 woehrl01 Changeset attached => SymmetricDS 3.8 7f940ab9
2017-12-27 14:51 mmichalek Assigned To => mmichalek
2017-12-27 14:51 mmichalek Status new => assigned
2017-12-27 14:51 mmichalek Status assigned => resolved
2017-12-27 14:51 mmichalek Resolution open => fixed
2017-12-27 14:51 mmichalek Product Version 3.8.33 => 3.9.2
2017-12-27 14:51 mmichalek Fixed in Version => 3.9.2
2017-12-27 14:51 mmichalek Target Version => 3.9.2
2017-12-27 14:54 mmichalek Note Added: 0001091
2017-12-27 15:00 mmichalek Changeset attached => SymmetricDS 3.8 3d9e846a
2018-02-14 15:08 mmichalek Changeset attached => SymmetricDS 3.9 b5fedf42
2018-02-14 15:08 mmichalek Changeset attached => SymmetricDS 3.9 55d943f4
2018-03-12 08:28 chenson Status resolved => closed